## cr-string cr-string |

## Synopsis

                        CRString;
    CRString *          cr_string_new                       (void);
    CRString *          cr_string_new_from_string           (const gchar *a_string);
    CRString *          cr_string_new_from_gstring          (GString const *a_string);
    CRString *          cr_string_dup                       (CRString const *a_this);
    gchar *             cr_string_dup2                      (CRString const *a_this);
    const gchar *       cr_string_peek_raw_str              (CRString const *a_this);
    gint                cr_string_peek_raw_str_len          (CRString const *a_this);
    void                cr_string_destroy                   (CRString *a_this);

## Description

## Details

### CRString

    typedef struct {
    	/**
    	 *The GString where all the string
    	 *operation happen.
    	 */
    	GString *stryng ;
    	/**
    	 *The parsing location storage area.
    	 */
    	CRParsingLocation location ;
    } CRString;

### cr_string_new ()

    CRString *          cr_string_new                       (void);

Returns : |

### cr_string_new_from_string ()

    CRString *          cr_string_new_from_string           (const gchar *a_string);

`a_string` : |
Returns : |

### cr_string_new_from_gstring ()

    CRString *          cr_string_new_from_gstring          (GString const *a_string);

`a_string` : |
Returns : |

### cr_string_dup ()

    CRString *          cr_string_dup                       (CRString const *a_this);

`a_this` : |
Returns : |

### cr_string_dup2 ()

    gchar *             cr_string_dup2                      (CRString const *a_this);

`a_this` : |
Returns : |

### cr_string_peek_raw_str ()

    const gchar *       cr_string_peek_raw_str              (CRString const *a_this);

`a_this` : |
Returns : |

### cr_string_peek_raw_str_len ()

    gint                cr_string_peek_raw_str_len          (CRString const *a_this);

`a_this` : |
Returns : |

### cr_string_destroy ()

    void                cr_string_destroy                   (CRString *a_this);

`a_this` : |